

:root
{
  --main-bg-color: #ededed;
  --hover-bg-color:  #d9d9d9;
}
.card{
  -webkit-transition: background-color 0.2s;
    -moz-transition: background-color 0.2s;
    -o-transition: background-color 0.2s;
    transition: background-color 0.2s;
    -webkit-transition: opacity 0.2s;
    -moz-transition: opacity 0.2s;
    -o-transition: opacity 0.2s;
    transition: opacity 0.2s;
    overflow: hidden;
}
.card:hover
{
  transform: translate3d(0, 0, 0);
  background-color: var(--hover-bg-color);
  
}

.card img {
  display: block;
  position: relative;
  height: 100%;
  height: -moz-available;
  height: -webkit-fill-available;
  height: fill-available;
  width: 100%;
  width: -moz-available;
  width: -webkit-fill-available;
  width: fill-available;
  object-fit: fill;
  object-position: center;
  
}
.card {
  opacity: 0.95;
}
.card:hover {
  opacity:1;
}
.card h2 {
  color: #fff;
  text-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
  text-transform: uppercase;
  word-spacing: normal;
  font-size: x-large;
  font-weight: 500;
}
.with-text-box
{
  background-color:var(--main-bg-color);
}
.with-text-box.horizontal {
  display: inline-flex;
  flex-direction: column;
}

.with-text-box.vertical {
  display: flex;
  flex-direction: row;
}

.with-text-box * {
  display: inline-block;
}
.with-text-box.full .text-container,
.with-text-box.full .text-container *{
  color:white;
}
.with-text-box  .text-container {
  display: block; 
  overflow: hidden;
  margin: 1em;
  color:initial;
  width: calc(100% - 2em);
  text-align: center;
  /*vertical-align: middle;*/
  min-height:calc(100% - 2em);
  height:calc(100% - 2em);
}

.with-text-box.horizontal .text-container {
    height: calc(50% - 1em);
    min-height: calc(50% - 1em);
    max-height: calc(50% - 1em);
}

.with-text-box .text-container h1
{
  display:block;
  text-transform: uppercase;
  color:#0052CC;
}
/* .with-text-box .text-container p strong a
{
  display:block;
  text-decoration:none;
} */


.with-text-box.none .text-container {
  display : none;
}
.with-text-box.full img
{
  display:none;
}

.with-text-box.horizontal img {
  max-height:calc(50% - 1em);
  min-height:calc(50% - 1em);
  max-width:100%;

}
.arrow
{
 width: 0; 
 height: 0; 
 position: relative;
 display:block;
}

.small .arrow {
  display:none;
}

 .arrow-bottom {
  border-left: 15px solid transparent;
  border-right: 15px   solid transparent;
  bottom: 15px;
  border-bottom:15px  solid var(--main-bg-color);
  margin-left: 15px;
  margin-right: 15px;
}
.card:hover .arrow-bottom{
  border-bottom:15px  solid var(--hover-bg-color);
}


.arrow-top{
  border-left: 15px   solid transparent;
  border-right: 15px   solid transparent;
  top:0;
  border-top:15px  solid var(--main-bg-color);
}
.card:hover .arrow-top{
  border-top:15px  solid var(--hover-bg-color);
}


.arrow-right {
  border-top: 15px   solid transparent;
  border-bottom: 15px   solid transparent;
  right: -15px;
  top: 15px;
  border-left:15px  solid var(--main-bg-color);
}
.card:hover .arrow-right{
  border-left:15px  solid var(--hover-bg-color);
}

.arrow-left {
  border-top: 15px   solid transparent;
  border-bottom: 15px   solid transparent; 
  border-right:15px  solid var(--main-bg-color);
  left: -15px;
  top: 15px;
}
.card:hover .arrow-left{
  border-right:15px  solid var(--hover-bg-color);
}

.with-text-box.vertical img {
  max-height:100%;
  max-width:calc(50% - 1em);
}


/************ Hover effect styles *************/

figure {
  position: relative;
  overflow: hidden;
  text-align: center;
  cursor: pointer;
  height:100%;
  width:100%;
}

figure figcaption {
  color: #fff;
  backface-visibility: hidden;
}

figure figcaption::before,
figure figcaption::after {
  pointer-events: none;
}

figure figcaption,
figure figcaption  a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.with-text-box a {
  display:contents;
  text-decoration: none;
}
/* Anchor will cover the whole item by default */

/* For some effects it will show as a button */

figure figcaption  a {
  z-index: 1000;
  text-indent: 200%;
  white-space: nowrap;
  font-size: 0;
  opacity: 0;
}

figure h2 {
  word-spacing: -0.15em;
  font-size: x-large;
  font-weight: 400;
}

figure h2 span {
  font-weight: 800;
}

figure h2,
figure p {
  margin: 0;
}

figure button.rww_grid_button {
  background-color: transparent;
  border: 2px solid #fff;
  border-radius: 5px;
  margin: 0 auto;
  padding: 0.5rem;
  font-weight: bold;
  font-size: smaller;
  color: #fff;
  text-transform: uppercase;
  transition: all 0.3s;
}

figure p {
  letter-spacing: 1px;
}

figure figcaption::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    to bottom,
    rgba(72, 76, 97, 0) 0%,
    rgba(72, 76, 97, 0.8) 75%
  );
  content: "";
  opacity: 0;
  transform: translate3d(0, 50%, 0);
}

figure h2 {
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  color: #484c61;
  transition: all 0.35s;
  transform: translate3d(0, -50%, 0);
}

figure figcaption::before,
figure p,
figure .grid-button-wrapper {
  transition: all 0.35s;
}

figure .grid-button-wrapper {
  position: absolute;
  bottom: 35%;
  left: 0;
  right: 0;
  width: 100%;
  opacity: 0;
  transform: translate3d(0, 20px, 0);
}

figure p {
  position: absolute;
  bottom: 10px;
  left: 0;
  right: 0;
  padding-bottom: 3rem;
  width: 100%;
  opacity: 0;
  transform: translate3d(0, 10px, 0);
}

figure:hover h2 {
  background: none;
  color: #fff;
  transform: translate3d(0, -50%, 0) translate3d(0, -40px, 0);
}


figure:hover figcaption::before,
figure:hover p,
figure:hover .grid-button-wrapper {
  opacity: 1;
  transform: translate3d(0, 0, 0);
}
